> For the complete documentation index, see [llms.txt](https://chekin.gitbook.io/chekin-public-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://chekin.gitbook.io/chekin-public-api/api-reference/reservations/list-reservations.md).

# List Reservations

<mark style="color:green;">`GET`</mark> `/reservations`

The "List Reservations" endpoint allows you to retrieve a list of reservations. This is particularly useful for obtaining an overview of all bookings within specified criteria, such as date ranges, housing units, or guest names. It's designed to be flexible, supporting various filters to help you find exactly what you're looking for.

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `JWT <token>`      |

**Query Parameters**

<table><thead><tr><th width="219.60003662109375">Name</th><th width="95.4000244140625">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>housing_id</code></td><td>uuid</td><td>Housing ID to filter reservations</td></tr><tr><td><code>checkin_date_from</code></td><td>date</td><td>Check-in date from to filter reservations</td></tr><tr><td><code>external_id</code></td><td>string</td><td>External ID of a reservation</td></tr><tr><td><code>booking_reference</code></td><td>string</td><td>Booking reference of a reservation</td></tr><tr><td><code>guest_name</code></td><td>string</td><td>Guest name of a reservation</td></tr><tr><td><code>page_size</code></td><td>integer</td><td>Items per page</td></tr><tr><td><code>page</code></td><td>integer</td><td>Page number</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
  "housing_id": "123456",
  "rooms ids": [
    {}
  ],
  "default_leader_full_name": "Some User",
  "default_phone_number": 622334455,
  "language": "text",
  "check_in_date": "2024-02-01",
  "check_out_date": "2024-03-01",
  "created_at": "2024-01-01",
  "night_of_stay": 2,
  "origin": "Avantio",
  "source": "Airbnb",
  "external_id": "B1465D",
  "booking_reference": "B1465D",
  "accommodation_type": "STUDIO",
  "guest_group": {
    "id": "a2fdg3",
    "guest_ids": []
  },
  "general_status": "text",
  "detailed_statuses": {
    "identity_verification": "??",
    "remote_access": "??",
    "guest_registration": "??",
    "police_check-in": "??",
    "police_check-out": "??"
  },
  "error_details": {
    "police_pre_checkin": { "message": null, "code": null },
    "police_check_in": { "message": "Credenciales no válidas. Revisa y actualiza las credenciales en Chekin en Property → Legal → Police Connection y vuelve a intentarlo. (Invalid credentials. Check and update the credentials in Chekin under Property → Legal → Police Connection and try again.)", "code": "SES0018" },
    "police_check_out": { "message": null, "code": null },
    "stats_check_in": { "message": "Credenziali ISTAT non valide o autorizzazione insufficiente. Verifica o aggiorna i dati ISTAT in Property - Legal - Statistics e riprova (Invalid ISTAT credentials or insufficient authorization. Check or update ISTAT details in under Property - Legal - Statistics and try again).", "code": "ISTAT0003" },
    "stats_check_out": { "message": null, "code": null }
  },
  "links": {
    "check-in_online": "https://",
    "payment_link": "https://",
    "upselling_link": "https://"
  }
}
```

{% endtab %}
{% endtabs %}
